QGIS Application - Bug report #1359
saving image files: missing extension
2008-10-19 09:04 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11419
Description

When saving image files from map composer, the file type extension is not written

History

#1 - 2008-11-18 08:21 AM - Marco Hugentobler

You mean the file extension if not written even if entered by the user?
Or do you mean it is not automatically appended?

If it is the first: | cannot reproduce it. Does it only happen in certain cases?

It it is the second: I'm not sure that it should be. In Unix philosophy, the content of the file is independent from its extension.

Marco

#2 - 2008-11-18 11:27 AM - Marco Hugentobler

Ok, after looking at other applications: some append extension automatically and others don't. | have the impression that the user-friendly ones do, so we
should do it too.

#3 - 2008-11-29 03:15 AM - Anne Ghisla
- Resolution set to fixed
- Status changed from Open to Closed

QGIS 1.0 preview1 for Windows automatically appends extensions.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
